# Define Function:
function y = f (x)
	# Read refractive indices from file
	[a, b] = textread ("input_inlab_task_A1.txt", "%f %f");

	# Calculate y
	y = a * cos(x) + b * sin(x) + 4*(sin(x/3)^2) -3;
endfunction

# Comment: Solve System with guess as 1.01:
[x] = fsolve ("f", 1.01);

# Initiating file handle
fid = fopen ("output inlab task 01.txt", "w");
#Writing answer to file
fputs (fid, num2str(x));
fclose (fid);